Subject: bug#914: In CVS Emacs, calc-eval gives multiplication higher precidence than division

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 08 Sep 2008 22:53:54 +0200

Randal L. Schwartz wrote:
>>>>>> "Lennart" == Lennart Borgman (gmail) <[email-masked]> writes:
> 
> Lennart> Of course I can see that the behaviour you want saves you a lot of key
> Lennart> strokes. My question is really about the default value. You can easily
> Lennart> change that, of course. The question is really if you prefer the old
> Lennart> default and in that case what arguments you want to present for that.
> 
> There's no need to change the longstanding defaults, because it would break
> things.  You already have a knob you can tweak if you think that "2 a / 3 b"
> should multiply by b, rather than divide by it.  That's a personal choice.

I think communication can be very difficult if you have too much
personal choice in it. Math is about communication (for a special class
of logical problems).

The original bug report was about this

  (calc-eval "1 / 2 * 1000")

Calc treats this as 1 / (2 * 1000) which is just plain wrong. I have
never seen a mathematician treat it that way - though I have seen many
pupils doing that.

> Frankly, I'd never touch that knob, because it looks to me like it should
> divide by b.  And I think most mathemeticians would agree, and that's the
> target for that part of Calc.  Stop thinking computer science.  Think
> *math* notation.